Detail
curl --request GET \
--url https://api.qa.sima.ag/app_dev.php/api/v2/third_party/farmers/42363 \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/app_dev.php/api/v2/third_party/farmers/42363"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/app_dev.php/api/v2/third_party/farmers/42363', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/app_dev.php/api/v2/third_party/farmers/42363",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 42363,
"society_id": 34,
"name": "Capacitación",
"lastname": null,
"cuit": null,
"observations": null,
"deleted_at": null,
"date_created": "2021-09-21T21:33:01-03:00",
"date_modified": "2021-09-21T21:33:01-03:00",
"external_code": null,
"email": null,
"phone_number": null,
"area": 0
}{
"error": {
"code": 404,
"message": "No se ha encontrado el productor"
}
}Version 1 > Farmers
Detail
GET
/
app_dev.php
/
api
/
v2
/
third_party
/
farmers
/
42363
Detail
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

